libcomps ..

Loading...
Searching...
No Matches
COMPS_Doc filters

## Detailed Description

COMPS_DocGroup adder to group list in COMPS_Doc

Parameters

  doc | COMPS_Doc instance
  obj | COMPS_DocGroup object append COMPS_DocGroup object to group list in COMPS_Doc structure

Warning
  function doesn't increment COMPS_DocGroup object reference count. COMPS_DocCategory adder to category list in COMPS_Doc

Parameters

  doc | COMPS_Doc instance
  obj | COMPS_DocCategory object append COMPS_DocCategory object to category list in COMPS_Doc structure

Warning
  function doesn't increment COMPS_DocCategory object reference count. COMPS_DocEnv adder to environment list in COMPS_Doc

Parameters

  doc | COMPS_Doc instance
  obj | COMPS_DocEnv object append COMPS_DocEnv object to environment list in COMPS_Doc structure

Warning
  function doesn't increment COMPS_DocEnv object reference count. Langpack adder to langpack dict in COMPS_Doc

Parameters

  doc | COMPS_Doc instance
  key | COMPS_Str dictionary key of langpack
  obj | COMPS_Str langpack add langpack string to langpack dict in COMPS_Doc structure. If There's allready langpack string with same key, will be overwritten.

Warning
  function doesn't increment obj param reference count. Blacklist adder to blacklist multi-dict in COMPS_Doc

Parameters

  doc | COMPS_Doc instance
  key | COMPS_Str dictionary key of blacklist
  obj | COMPS_Str blacklist item append blacklist item object to blacklist in COMPS_Doc structure. Items with same key are grouped in COMPS_ObjList object.

Warning
  function doesn't increment obj param reference count. whiteout adder to whitetout multi-dict in COMPS_Doc

Parameters

  doc | COMPS_Doc instance
  key | COMPS_Str dictionary key of whiteout
  obj | COMPS_Str whiteout item append whiteout item object to blacklist in COMPS_Doc structure. Items with same key are grouped in COMPS_ObjList object.

Warning
  function doesn't increment obj param reference count. whiteout adder to whitetout multi-dict in COMPS_Doc

Parameters

  doc | COMPS_Doc instance
  obj | COMPS_Str language value Set language to comps object and all subobjects